import React from 'react';
import '../../content.less';
import LeftTab from '../leftTab.jsx';

import ApplyManage from './applyManage.jsx';
import WebsiteManage from './websiteManage.jsx';


const Content = React.createClass({
    getInitialState() {
        return {
            loading: false,
            leftKey: 'websiteManage',
        };
    },
    handlekey(key) {
        this.setState({
            leftKey: key,
        });
        window.location.hash = key;
    },
    componentWillMount(){
        if ( window.location.hash ) {
            this.handlekey(window.location.hash.substr(1));
        };
    },
    render() {
        return (
            <div className="manage-content">
                <LeftTab handlekey={this.handlekey} />
                <div className="content-right">
                    {(() => {
                        switch (this.state.leftKey) {
                            case 'applyManage':
                                return <ApplyManage />;
                            case 'websiteManage':
                                return <WebsiteManage />;
                        };
                    })()}
                </div>
            </div>
        )
    }
});

export default Content;